.compass {
    width: 417px;
    height: 417px;
    border: 13px solid var(--color-white);
    border-radius: 50%;
    position: relative;
}

.compass__base {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    background-color: var(--color-accent-pink);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
}

.compass__needle {
    width: 40px;
    height: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: bottom;
    z-index: 2;
}

.tick {
    stroke: var(--color-white);
    stroke-width: 2;
    transition: stroke 0.3s;
}

.tick.active {
    stroke: var(--color-accent-pink);
}


.major-tick {
    stroke: white;
    stroke-width: 2;
}

.minor-tick {
    stroke: white;
    stroke-width: 1;
}

.active {
    stroke: #ED7180;
}

.compass__directions {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -49.9%);
    width: 100%;
    height: 100%;
}

.compass__direction {
    position: absolute;
    color: var(--color-accent-pink);
    font-weight: bold;
    transform: translate(-50%, -50%);
    z-index: 3;
    font-family: 'Montserrat', sans-serif;
    font-size: 10px;
    line-height: 12px;
}


@media screen and (max-width: 1400px) {
    .compass {
        display: none
    }
}

.whyWe {
    background: url('assets/img/bg-picture.jpg') no-repeat;
    background-size: cover;
    border-radius: 22px;
}

.whyWe .wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 1024px;

    position: relative;
    padding-bottom: 50px;
}

.whyWe h2 {
    color: var(--color-white);
    position: absolute;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 100;
    text-align: center;
    max-width: 235px;
}

.whyWe__list {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 500px;
    height: 500px;
    transform: translate(-50%, -50%);
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.whyWe__item {
    position: absolute;
    transform: translate(-50%, -50%);

    width: 390px;
    border-radius: 10px;
    background-color: var(--color-white-opacity);
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    transition: background-color 0.3s ease;
}

.whyWe__item:hover {
    background-color: var(--color-accent-pink);
}

.whyWe__item_center {
    align-items: center;
}

.whyWe__item_top {
    padding: 32px 15px 50px;
    position: relative;
}

.whyWe__item_left {
    align-items: flex-start;
    padding: 32px 50px 32px 40px;
}

.whyWe__item_right {
    align-items: flex-end;
    padding: 32px 50px 32px 15px;
}

.whyWe__item_bottom {
    padding: 50px 32px;
}

.whyWe__advantage {
    margin: 0;
    font-size: 24px;
    font-weight: 700;
    line-height: 36px;
    color: var(--color-white);
}

.whyWe__description {
    margin: 0;

    font-size: 15px;
    font-weight: 500;
    line-height: 22.5px;
    color: var(--color-white);
}

.whyWe__description_center {
    text-align: center;
}

.whyWe__description_right {
    text-align: right;
}

.whyWe__description_left {
    text-align: left;
}

.whyWe__numberContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-accent-blue);
    height: 40px;
    width: 40px;
    border-radius: 20px;
}

.whyWe__numberContainer_top {
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
}

.whyWe__numberContainer_bottom {
    position: absolute;
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
}

.whyWe__numberContainer_right {
    position: absolute;
    top: 50%;
    left: -20px;
    transform: translateY(-50%);
}

.whyWe__numberContainer_left {
    position: absolute;
    top: 50%;
    right: -20px;
    transform: translateY(-50%);
}

.whyWe__number {
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    font-weight: 600;
    line-height: 27px;
    margin: auto;
    text-align: center;
    color: var(--color-accent-pink);
    transition: color 0.3s ease;
}

.whyWe__item:hover .whyWe__number {
    color: var(--color-accent-pink);
}

@media screen and (max-width: 1400px) {
    .whyWe {
        padding-bottom: 0;
    }

    .whyWe h2 {
        color: var(--color-white);
        display: block;
        text-align: center;
        position: relative;
        max-width: unset;
    }

    .whyWe {
        padding-top: 50px;
    }

    .whyWe .wrapper {
        height: auto;
        padding-top: 50px;
    }

    .whyWe__list {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding: 0;
        margin: 0;
        position: static !important;
        height: max-content;
        transform: none;
    }

    .whyWe__item {
        width: 90%;
        max-width: 500px;
        margin-bottom: 20px;
        position: static !important;
        height: max-content;
        transform: none;
        align-items: flex-start;
        text-align: left;
        padding: 32px 15px;
    }

    .whyWe__numberContainer {
        position: absolute;
        left: -20px;
        top: 50%;
        transform: translateY(-50%);
    }

    .whyWe__description,
    .whyWe__advantage {
        text-align: left;
    }

    .whyWe__item_top, .whyWe__item_right, .whyWe__item_bottom, .whyWe__item_left {
        position: relative !important;
        top: auto !important;
        bottom: auto !important;
        left: auto !important;
        right: auto !important;
        padding: 29px 15px 24px 50px;
    }

    .whyWe__advantage {
        font-size: 18px;
        line-height: 25px;
    }
}
